Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020261
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2012-04-13 09:292012-05-17 09:21
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchpiFixed in SCM revision5dd00d376163
ProjectionnoneETAnoneTarget Version3.0MP11
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020261: SessionInfo PreparedStatement is not closed

DescriptionWhen there is at least one table fully audited, on each request a temporary table (ad_context_info) is populated with context information. The PreparedStatement used for this population is never closed.

This causes a memory leak in JVM as well as DB not releasing resources (open cursors in Oracle) making the application to degrade over time.

See attached a screenshot of memory consumption just after GC having 6 concurrent sessions during ~10min with a session ping of 500ms to simulate long usage. Second screenshot is taken in the same conditions after applying the fix. Both are taken in an instance using Oracle.
Steps To Reproduce-In a professional instance, set at last one table to be fully audited
-Follow steps defined in issue 0020146
TagsPerformance
Attached Filespng file icon audit-ps-not-fixed.png [^] (39,685 bytes) 2012-04-13 09:37


png file icon audit-ps-fixed.png [^] (39,961 bytes) 2012-04-13 09:37

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00201463.0MP10 closedalostale AlertActionHandler PreparedStatement is not closed 
depends on backport 0020533 closedalostale SessionInfo PreparedStatement is not closed 

-  Notes
(0047557)
alostale (developer)
2012-04-13 10:58

Fix is not risky: it just closes prepared statements in SessionInfo.

Test plan:
-Check both in PG and ORA:
 *Follow steps to reproduce and check in Oracle (where it is more noticeable) cursors and memory consumption are not increasing.
 *Check audit trail still works: do modifications in records of audited tables and check they are audited.
(0047558)
hgbot (developer)
2012-04-13 10:59

Repository: erp/devel/pi
Changeset: 5dd00d37616387fda77cdc81862a423de3d8bce3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 13 10:54:41 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5dd00d37616387fda77cdc81862a423de3d8bce3 [^]

fixed bug 20261: SessionInfo PreparedStatement is not closed

---
M src-core/src/org/openbravo/database/SessionInfo.java
---
(0047649)
hudsonbot (developer)
2012-04-17 05:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test
(0048039)
AugustoMauch (developer)
2012-04-26 15:47

Code reviewed and verified in pi@153cac4dbab2

- Issue History
Date Modified Username Field Change
2012-04-13 09:29 alostale New Issue
2012-04-13 09:29 alostale Assigned To => alostale
2012-04-13 09:29 alostale Modules => Core
2012-04-13 09:29 alostale Relationship added depends on 0020146
2012-04-13 09:29 alostale Relationship replaced related to 0020146
2012-04-13 09:30 alostale Tag Attached: Performance
2012-04-13 09:37 alostale File Added: audit-ps-not-fixed.png
2012-04-13 09:37 alostale File Added: audit-ps-fixed.png
2012-04-13 09:40 alostale Description Updated View Revisions
2012-04-13 09:44 alostale Target Version => 3.0MP11
2012-04-13 09:44 alostale Description Updated View Revisions
2012-04-13 10:58 alostale Note Added: 0047557
2012-04-13 10:59 hgbot Checkin
2012-04-13 10:59 hgbot Note Added: 0047558
2012-04-13 10:59 hgbot Status new => resolved
2012-04-13 10:59 hgbot Resolution open => fixed
2012-04-13 10:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5dd00d37616387fda77cdc81862a423de3d8bce3 [^]
2012-04-17 05:32 hudsonbot Checkin
2012-04-17 05:32 hudsonbot Note Added: 0047649
2012-04-26 15:47 AugustoMauch Note Added: 0048039
2012-04-26 15:47 AugustoMauch Status resolved => closed
2012-04-26 15:47 AugustoMauch Fixed in Version => 3.0MP11
2012-05-17 09:20 alostale Status closed => new
2012-05-17 09:20 alostale Resolution fixed => open
2012-05-17 09:20 alostale Fixed in Version 3.0MP11 =>
2012-05-17 09:20 alostale Status new => scheduled
2012-05-17 09:20 alostale fix_in_branch => pi
2012-05-17 09:20 alostale Status scheduled => resolved
2012-05-17 09:20 alostale Fixed in Version => 3.0MP11
2012-05-17 09:20 alostale Resolution open => fixed
2012-05-17 09:21 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker